Back to API Docs

MASV API Reference

v1.0.0
OAS 2.0

MASV API

MASV API team
Proprietary

The MASV REST API for managing teams, portals, packages, and file transfers.

Server:https://api.massive.app

Production

Client Libraries

API Keys

Get specific API key

Path Parameters
  • apiKeyID
    Type: string
    required

    ID of API key

Responses
  • application/json
  • application/json
Request Example for get/v1/api_keys/{apiKeyID}
curl 'https://api.massive.app/v1/api_keys/{apiKeyID}' \
  --header 'X-User-Token: YOUR_SECRET_TOKEN'
{
  "id": "string",
  "created_at": "2026-07-22T19:18:34.637Z",
  "updated_at": "2026-07-22T19:18:34.637Z",
  "name": "string",
  "description": "string",
  "key": "string",
  "expiry": "2026-07-22T19:18:34.637Z",
  "state": "active",
  "last_request_at": "2026-07-22T19:18:34.637Z",
  "owner": {
    "id": "string",
    "email": "hello@example.com",
    "name": "string"
  }
}

Update an API key

Path Parameters
  • apiKeyID
    Type: string
    required

    ID of API key

Body·
required
application/json

API key to update

  • description
    Type: string
    max length:  
    1024

    Description for the api key

  • expiry
    Type: stringFormat: date-time

    The date & time on which the API key will expire

  • name
    Type: string
    max length:  
    255

    Name for the api key

  • owner
    Type: object
  • state
    Type: stringenum

    The state of the API key. Accepted values are 'active' or 'inactive'

    values
    • active
    • inactive
Responses
  • application/json
  • application/json
Request Example for put/v1/api_keys/{apiKeyID}
curl 'https://api.massive.app/v1/api_keys/{apiKeyID}' \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'X-User-Token: YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "description": "",
  "expiry": "",
  "state": "active",
  "owner": {}
}'
{
  "id": "string",
  "created_at": "2026-07-22T19:18:34.637Z",
  "updated_at": "2026-07-22T19:18:34.637Z",
  "name": "string",
  "description": "string",
  "key": "string",
  "expiry": "2026-07-22T19:18:34.637Z",
  "state": "active",
  "last_request_at": "2026-07-22T19:18:34.637Z",
  "owner": {
    "id": "string",
    "email": "hello@example.com",
    "name": "string"
  }
}

Delete an API key

Path Parameters
  • apiKeyID
    Type: string
    required

    ID of API key

Responses
  • 204

    Success

  • application/json
Request Example for delete/v1/api_keys/{apiKeyID}
curl 'https://api.massive.app/v1/api_keys/{apiKeyID}' \
  --request DELETE \
  --header 'X-User-Token: YOUR_SECRET_TOKEN'
No Body

Activate an API key

Path Parameters
  • apiKeyID
    Type: string
    required

    ID of API key

Responses
  • 204

    Success

  • application/json
Request Example for put/v1/api_keys/{apiKeyID}/activate
curl 'https://api.massive.app/v1/api_keys/{apiKeyID}/activate' \
  --request PUT \
  --header 'X-User-Token: YOUR_SECRET_TOKEN'
No Body

Deactivate an API key

Path Parameters
  • apiKeyID
    Type: string
    required

    ID of API key

Responses
  • 204

    Success

  • application/json
Request Example for put/v1/api_keys/{apiKeyID}/deactivate
curl 'https://api.massive.app/v1/api_keys/{apiKeyID}/deactivate' \
  --request PUT \
  --header 'X-User-Token: YOUR_SECRET_TOKEN'
No Body

Contacts (Collapsed)

Manage user contacts and address book

Domains (Collapsed)

Custom domain configuration for Portals

SSO (Collapsed)

Subdomains (Collapsed)

Portal subdomain availability and management

System (Collapsed)

Platform status, health checks, and feature flags

Tags (Collapsed)

Organize Packages and Portals with Tags

Teams (Collapsed)

Team management — members, roles, settings, and Teamspaces

Teams Operations

Transfers (Collapsed)